CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

AutoCAD 2020 开发者帮助

TextOverride 属性 (ActiveX)

2024-5-18 18:22| 发布者: admin| 查看: 89| 评论: 0|原作者: admin|来自: AutoCAD

TextOverride 属性 (ActiveX)

指定维度的文本字符串。

支持的平台:仅限 Windows

签名

VBA:

object.TextOverride
对象

类型:Dim3PointAngularDimAlignedDimAngularDimArcLengthDimDiametricDimensionDimOrdinateDimRadial、DimRadialLargeDimRotated

此属性应用于的对象。

属性值

只读:

类型:字符串

最大长度为 256 个字符。

言论

用户字符串将替换计算出的维度值。您可以通过将文本设置为字符串 (“”) 来恢复计算出的维度值。您可以使用一组闭合的括号 (<>) 来表示主维度值,从而在主维度值后附加文本或为其添加前缀。显示字符串时,主维度值将替换括号。例如,= “<> mm” 将导致显示一个字符串 “3.5 mm”,其中尺寸值为 3.5。还可以使用方括号 ( [] ) 包含二级维度值。NULLTextString

例子

VBA:

Sub Example_TextOverride()
    ' This example creates an aligned dimension and then changes the
    ' TextOverride property for that dimension.

    Dim dimObj As AcadDimAligned
    Dim point1(0 To 2) As Double
    Dim point2(0 To 2) As Double
    Dim location(0 To 2) As Double
    
    ' Define the dimension
    point1(0) = 5#: point1(1) = 3#: point1(2) = 0#
    point2(0) = 10#: point2(1) = 3#: point2(2) = 0#
    location(0) = 7.5: location(1) = 5#: location(2) = 0#
    
    ' Create an aligned dimension object in model space
    Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location)
    ZoomAll
    MsgBox "The initial text string for the dimension contains only the dimension value.", vbInformation, "TextOverride Example"
    
    ' Change the text string for the dimension
    dimObj.TextOverride = "The value is <>"
    dimObj.Update
    MsgBox "The text string for the dimension has been replaced. However, the dimension value is still represented.", vbInformation, "TextOverride Example"
    
    ' Reset the text string for the dimension
    dimObj.TextOverride = ""
    dimObj.Update
        
    MsgBox "The text string for the dimension is reset.", vbInformation, "TextOverride Example"
End Sub

可视化 LISP:

(vl-load-com)
(defun c:Example_TextOverride()
    ;; This example creates an aligned dimension and then changes the
    ;; TextOverride property for that dimension.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; Define the dimension
    (setq point1 (vlax-3d-point 5 3 0)
          point2 (vlax-3d-point 10 3 0)
          location (vlax-3d-point 7.5 5 0))
    
    ;; Create an aligned dimension object in model space
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq dimObj (vla-AddDimAligned modelSpace point1 point2 location))

    (vla-ZoomAll acadObj)
    (alert "The initial text string for the dimension contains only the dimension value.")
    
    ;; Change the text string for the dimension
    (vla-put-TextOverride dimObj "The value is <>")
    (vla-Update dimObj)
    (alert "The text string for the dimension has been replaced. However, the dimension value is still represented.")
    
    ;; Reset the text string for the dimension
    (vla-put-TextOverride dimObj "")
    (vla-Update dimObj)
        
    (alert "The text string for the dimension is reset.")
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1   苏公网安备32011402011833)

GMT+8, 2025-1-19 07:30

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部